# Algorithms

List of implemented metaheuristics. The algorithms were implemented based on the
contributor's understanding of the algorithms detailed in the published paper.

## Evolutionary Centers Algorithm

ECA was proposed for solving global optimization problems. See [MejiaMezura2019](@cite) for more information.
```@docs
ECA
```

## Differential Evolution

DE is an evolutionary algorithm based on vector differences.
See [Price2013](@cite) for more details.

```@docs
DE
```

## Particle Swarm Optimization

PSO is a population-based optimization technique inspired by the motion of bird flocks and schooling fish ([KennedyEberhart1995](@cite)).

```@docs
PSO
```

## Artificial Bee Colony

A powerful and efficient algorithm for numerical function optimization: artificial bee colony (ABC) algorithm by [KarabogaBasturk2007](@cite).
```@docs
ABC
```


## MOEA/D-DE

Multiobjective optimization problems with complicated Pareto sets by [LiZhang2008](@cite).

```@docs
MOEAD_DE
```


## Gravitational Search Algorithm

Chaotic gravitational constants for the gravitational search algorithm by
[MirjaliliGandomi2017](@cite)

```@docs
CGSA
```


## Simulated Annealing

Physics inspired algorithm for optimization [Van1987](@cite).

```@docs
SA
```

## Whale Optimization Algorithm

The Whale Optimization Algorithm inspired by humpback whales [MirjaliliLewis2016](@cite).

```@docs
WOA
```


## NSGA-II

A fast and elitist multiobjective genetic algorithm: NSGA-II[Deb2002](@cite).

```@docs
NSGA2
```


## NSGA-III
An Evolutionary Many-Objective Optimization Algorithm Using Reference-Point-Based Nondominated Sorting Approach, Part I: Solving Problems With Box Constraints [DebJain2014](@cite).
```@docs
NSGA3
```

## SMS-EMOA

An EMO algorithm using the hypervolume measure as selection criterion [Emmerich2005](@cite).
```@docs
SMS_EMOA
```


## SPEA2

Improved strength Pareto evolutionary algorithm [Zitzler2001](@cite).
```@docs
SPEA2
```
